| IITkaGyan v0.9 A platform for students to ask their doubts to IITians directly...

Public Member Functions | Static Public Attributes | List of all members
gyans.models.Question Class Reference
Inheritance diagram for gyans.models.Question:

## Public Member Functions
def | get_absolute_url (self)
def | __str__ (self)

## Static Public Attributes
| author = models.CharField(max_length=100, null=True)
| question_text
| date_created = models.DateField(null=True, default=timezone.now())
| date_updated = models.DateField(null=True, default=timezone.now())

## Detailed Description

    Model representing a question.

## Member Function Documentation

## ◆ __str__()

def gyans.models.Question.__str__ | ( |  | self | ) |

    String for representing the Model object.

## ◆ get_absolute_url()

def gyans.models.Question.get_absolute_url | ( |  | self | ) |

    Returns the url to access a particular question and its answer.

## Member Data Documentation

## ◆ author

gyans.models.Question.author = models.CharField(max_length=100, null=True)
| static

## ◆ date_created

gyans.models.Question.date_created = models.DateField(null=True, default=timezone.now())
| static

## ◆ date_updated

gyans.models.Question.date_updated = models.DateField(null=True, default=timezone.now())
| static

## ◆ question_text

gyans.models.Question.question_text
| static

Initial value:
= models.TextField(
max_length=1000, help_text='Enter your question in brief')

The documentation for this class was generated from the following file:

- IITKaGyan/gyans/models.py